API ReferenceapicommunityGET /v1/milestones/by-id/{id}

GET /v1/milestones/by-id/\{id\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Milestone fetched

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "metric_key": {
      "type": [
        "string",
        "null"
      ]
    },
    "value_numeric": {
      "type": [
        "string",
        "null"
      ]
    },
    "value_text": {
      "type": [
        "string",
        "null"
      ]
    },
    "image_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "body": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "user_id",
    "metric_key",
    "value_numeric",
    "value_text",
    "image_url",
    "body",
    "created_at"
  ]
}

404 Milestone not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/milestones/by-id/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"